Table of Contents

Class: _Waiter | Twisted-0.17.4/twisted/python/threadable.py
--- | ---

Methods |
--- | ---
__init__ block hasCallback preWait registerCallback runCallback unwait unwait_all wait
| __init__

    __init__ ( self )

| block

    block ( self )

| hasCallback

    hasCallback ( self,  key )

| preWait

    preWait ( self,  key )

| registerCallback

    registerCallback (
            self,
            key,
            callback=None,
            errback=None,
            )

| runCallback

    runCallback (
            self,
            key,
            value,
            ok,
            )

| unwait

    unwait (
            self,
            key,
            value,
            ok,
            )

| unwait_all

    unwait_all ( self )

| wait

    wait ( self,  key )

Exceptions |
--- | ---
r

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:23 2002 by HappyDoc version 2.0